package main

import (
	_ "embed"
	"lash"
	"lash/internal/app"
	"lash/internal/errx"
	"net/http"
)

func main() {
	srv := app.New()

	errx.Log("Your token is \033[1;92m%s\033[0m", lash.Token)

	errx.Log("starting server at http://127.0.0.1:1337")
	if err := http.ListenAndServe(":1337", srv); err != nil {
		errx.FatalPerror(err)
	}
}
